MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
Control.hxx File Reference
`#include "output/Client.hxx"`
`#include "AudioFormat.hxx"`
`#include "thread/Mutex.hxx"`
`#include "thread/Cond.hxx"`
`#include "thread/Thread.hxx"`
`#include "CrossFade.hxx"`
`#include "Chrono.hxx"`
`#include "ReplayGainConfig.hxx"`
`#include "ReplayGainMode.hxx"`
`#include <exception>`
`#include <stdint.h>`
Include dependency graph for Control.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | player_status
struct | PlayerControl

## Enumerations
enum | PlayerState : uint8_t { PlayerState::STOP, PlayerState::PAUSE, PlayerState::PLAY }
enum | PlayerCommand : uint8_t { PlayerCommand::NONE, PlayerCommand::EXIT, PlayerCommand::STOP, PlayerCommand::PAUSE, PlayerCommand::SEEK, PlayerCommand::CLOSE_AUDIO, PlayerCommand::UPDATE_AUDIO, PlayerCommand::QUEUE, PlayerCommand::CANCEL, PlayerCommand::REFRESH }
enum | PlayerError : uint8_t { PlayerError::NONE, PlayerError::DECODER, PlayerError::OUTPUT }

## Enumeration Type Documentation

enum PlayerCommand : uint8_t
| strong

Enumerator
NONE |
EXIT |
STOP |
PAUSE |
SEEK |
CLOSE_AUDIO |
UPDATE_AUDIO | At least one AudioOutput.enabled flag has been modified; commit those changes to the output threads.
QUEUE | PlayerControl.next_song has been updated.
CANCEL | cancel pre-decoding PlayerControl.next_song; if the player has already started playing this song, it will completely stop
REFRESH | Refresh status information in the PlayerControl struct, e.g. elapsed_time.

Definition at line 47 of file Control.hxx.

enum PlayerError : uint8_t
| strong

Enumerator
NONE |
DECODER | The decoder has failed to decode the song.
OUTPUT | The audio output has failed.

Definition at line 78 of file Control.hxx.

enum PlayerState : uint8_t
| strong

Enumerator
STOP |
PAUSE |
PLAY |

Definition at line 41 of file Control.hxx.